GET canvas/data_series
Operation ID: canvasDataSeriesAnalytics
Auth: unknown
Description
This endpoint allows you to export time series data for a Canvas. ### Components Used - [Canvas Identifier](https://www.braze.com/docs/api/identifier_types/) ## Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "data": { "name": (string) Canvas name, "stats": [ { "time": (string) date as ISO 8601 date, "total_stats": { "revenue": (float), "conversions": (int), "conversions_by_entry_time": (int), "entries": (int) }, "variant_stats": (optional) { "00000000-0000-0000-0000-0000000000000": (API identifier for variant) { "name": (string) name of variant, "revenue": (int), "conversions": (int), "conversions_by_entry_time": (int), "entries": (int) }, ... (more variants) }, "step_stats": (optional) { "00000000-0000-0000-0000-0000000000000": (API identifier for step) { "name": (string) name of step, "revenue": (float), "conversions": (int), "conversions_by_entry_time": (int), "messages": { "email": [ { "sent": (int), "opens": (int), "unique_opens": (int), "clicks": (int), ... (more stats) } ], ... (more channels) } }, ... (more steps) } }, ... (more stats by time) ] }, "message": (required, string) the status of the export, returns 'success' when completed without errors } ```
Parameters (7)
(string, query, optional)
(Required) String Canvas API Identifier
(string, query, optional)
(Required) DateTime (ISO 8601 string) Date on which the data export should end - defaults to time of the request
(string, query, optional)
(Optional) Boolean Whether or not to include step stats for deleted steps (defaults to false)
(string, query, optional)
(Optional) Boolean Whether or not to include step stats (defaults to false)
(string, query, optional)
(Optional) Boolean Whether or not to include variant stats (defaults to false)
(string, query, optional)
(Optional) DateTime (ISO 8601 string) Max number of days before ending_at to include in the returned series - must be between 1 and 14 inclusive (either length or starting_at required)
(string, query, optional)
(Optional) DateTime (ISO 8601 string) Date on which the data export should begin (either length or starting_at are required)
No probe data for this endpoint yet.